package com.jpsoft.shinestar.modules.sys.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.sys.entity.Menu;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MenuDAO {
	int insert(Menu entity);
	int update(Menu entity);
	int exist(String id);
	Menu get(String id);
	int delete(String id);
	List<Menu> list();
	List<Menu> search(Map<String,Object> searchParams,List<Sort> sortList);
    List<Menu> findAllocMenu(@Param("userId") String userId,@Param("parentId") String parentId);
}